"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeAdapter = void 0;
const tslib_1 = require("tslib");
const CP = tslib_1.__importStar(require("child_process"));
const villa = tslib_1.__importStar(require("villa"));
class NodeAdapter {
    constructor() {
        this.type = 'node';
    }
    async runScript({ cwd, env, definition, parameters, resourcesPath: resourcePath, resourcesBaseURL: resourceBaseURL, onOutput, onError, }) {
        var _a;
        try {
            let cp = CP.spawn(`node`, [definition.module], {
                cwd,
                env: {
                    ...process.env,
                    ...env,
                    RESOURCE_PATH: resourcePath,
                    RESOURCE_BASE_URL: resourceBaseURL,
                    ...parameters,
                },
            });
            cp.stdout.on('data', (buffer) => {
                onOutput(buffer.toString());
            });
            cp.stderr.on('data', (buffer) => {
                onError(buffer.toString());
            });
            await villa.awaitable(cp);
            return { result: 'done', message: '' };
        }
        catch (error) {
            return { result: 'unknown-error', message: (_a = error.message) !== null && _a !== void 0 ? _a : String(error) };
        }
    }
}
exports.NodeAdapter = NodeAdapter;
//# sourceMappingURL=node-adapter.js.map