"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShellAdapter = void 0;
const tslib_1 = require("tslib");
const CP = tslib_1.__importStar(require("child_process"));
const villa = tslib_1.__importStar(require("villa"));
class ShellAdapter {
    constructor() {
        this.type = 'shell';
    }
    async runScript({ cwd, env, definition, parameters, resourcesPath: resourcePath, resourcesBaseURL: resourceBaseURL, onOutput, onError, }) {
        var _a, _b, _c;
        try {
            let cp = CP.exec(definition.command, {
                cwd,
                env: {
                    ...process.env,
                    ...env,
                    RESOURCE_PATH: resourcePath,
                    RESOURCE_BASE_URL: resourceBaseURL,
                    ...parameters,
                },
            });
            (_a = cp.stdout) === null || _a === void 0 ? void 0 : _a.on('data', (buffer) => {
                onOutput(buffer.toString());
            });
            (_b = cp.stderr) === null || _b === void 0 ? void 0 : _b.on('data', (buffer) => {
                onError(buffer.toString());
            });
            await villa.awaitable(cp);
            return { result: 'done', message: '' };
        }
        catch (error) {
            return { result: 'unknown-error', message: (_c = error.message) !== null && _c !== void 0 ? _c : String(error) };
        }
    }
}
exports.ShellAdapter = ShellAdapter;
//# sourceMappingURL=shell-adapter.js.map