"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Entrances = void 0;
const tslib_1 = require("tslib");
/* eslint-disable @mufan/explicit-return-type */
const entrance_decorator_1 = tslib_1.__importDefault(require("entrance-decorator"));
const _services_1 = require("./@services");
class Entrances {
    constructor(tiva, config) {
        this.tiva = tiva;
        this.config = config;
        this.ready = Promise.all([this.scriptService.ready]);
        this.rpcService.up();
    }
    get socketService() {
        return new _services_1.SocketService(this.config, this.ready);
    }
    get scriptService() {
        return new _services_1.ScriptService(this.tiva, this.config);
    }
    get runningService() {
        return new _services_1.RunningService(this.scriptService, this.socketService);
    }
    get rpcService() {
        return new _services_1.RPCService(this.runningService, this.scriptService, this.socketService);
    }
}
tslib_1.__decorate([
    entrance_decorator_1.default,
    tslib_1.__metadata("design:type", Object),
    tslib_1.__metadata("design:paramtypes", [])
], Entrances.prototype, "socketService", null);
tslib_1.__decorate([
    entrance_decorator_1.default,
    tslib_1.__metadata("design:type", Object),
    tslib_1.__metadata("design:paramtypes", [])
], Entrances.prototype, "scriptService", null);
tslib_1.__decorate([
    entrance_decorator_1.default,
    tslib_1.__metadata("design:type", Object),
    tslib_1.__metadata("design:paramtypes", [])
], Entrances.prototype, "runningService", null);
tslib_1.__decorate([
    entrance_decorator_1.default,
    tslib_1.__metadata("design:type", Object),
    tslib_1.__metadata("design:paramtypes", [])
], Entrances.prototype, "rpcService", null);
exports.Entrances = Entrances;
//# sourceMappingURL=@entrances.js.map