import { BriefScriptDefinition, MakescriptAgentRPC, MakescriptAgentRPCRunScriptOptions, ScriptDefinitionHooks, ScriptRunningResult } from '../types';
import { RunningService } from './running-service';
import { ScriptService } from './script-service';
import { SocketService } from './socket-service';
export declare class RPCService implements MakescriptAgentRPC {
    private runningService;
    private scriptService;
    private socketService;
    constructor(runningService: RunningService, scriptService: ScriptService, socketService: SocketService);
    up(): void;
    syncScripts(): Promise<void>;
    getScripts(): Promise<BriefScriptDefinition[]>;
    runScript({ id, name, parameters, resourcesBaseURL, password, }: MakescriptAgentRPCRunScriptOptions): Promise<ScriptRunningResult>;
    triggerHook(scriptName: string, hookName: keyof ScriptDefinitionHooks): Promise<void>;
}
