"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RPCService = void 0;
const shared_1 = require("../shared");
class RPCService {
    constructor(runningService, scriptService, socketService) {
        this.runningService = runningService;
        this.scriptService = scriptService;
        this.socketService = socketService;
    }
    up() {
        shared_1.bridgeRPC(this, this.socketService.socket, shared_1.logger);
    }
    async syncScripts() {
        await this.scriptService.syncScripts();
    }
    async getScripts() {
        return this.scriptService.briefScriptDefinitions;
    }
    async runScript({ id, name, parameters, resourcesBaseURL, password, }) {
        return this.runningService.runScript({
            id,
            name,
            parameters,
            resourcesBaseURL,
            password,
        });
    }
    async triggerHook(scriptName, hookName) {
        await this.runningService.triggerHook(scriptName, hookName);
    }
}
exports.RPCService = RPCService;
//# sourceMappingURL=rpc-service.js.map