import { IAdapter, ScriptDefinitionHooks, ScriptRunningArgument, ScriptRunningResult } from '../types';
import { ScriptService } from './script-service';
import { SocketService } from './socket-service';
export declare class RunningService {
    private scriptService;
    private socketService;
    private adapterMap;
    constructor(scriptService: ScriptService, socketService: SocketService);
    triggerHook(scriptName: string, hookName: keyof ScriptDefinitionHooks): Promise<void>;
    runScript(argument: ScriptRunningArgument): Promise<ScriptRunningResult>;
    registerAdapter(type: string, adapter: IAdapter<any>): void;
    private requireScriptDefinition;
    private validatePassword;
    private requireAdapter;
    private resolveOptions;
    private generateRandomResourcesPath;
    private handleResources;
    private getOnOutput;
}
