import { Tiva } from 'tiva';
import { Dict } from 'tslang';
import { Config } from '../config';
import { BriefScriptDefinition, ScriptDefinition } from '../types';
export declare class ScriptService {
    private tiva;
    private config;
    readonly ready: Promise<void>;
    private scriptsDefinition;
    get scriptsBasePath(): string;
    get scriptsPath(): string;
    private get scriptsDefinitionPath();
    get briefScriptDefinitions(): BriefScriptDefinition[];
    constructor(tiva: Tiva, config: Config);
    syncScripts(): Promise<void>;
    getDefaultValueFilledScriptDefinitionByName(name: string): ScriptDefinition | undefined;
    getEnvByScriptName(scriptName: string): Dict<string>;
    private initialize;
    private parseScriptsDefinition;
}
