"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.main = void 0;
require("villa/platform/node");
const _adapters_1 = require("./@adapters");
const _entrances_1 = require("./@entrances");
const shared_1 = require("./shared");
async function main(tiva, config) {
    let entrances = new _entrances_1.Entrances(tiva, config);
    let adapters = [
        new _adapters_1.ProcessAdapter(),
        new _adapters_1.NodeAdapter(),
        new _adapters_1.ShellAdapter(),
        new _adapters_1.SqliteAdapter(),
    ];
    for (let adapter of adapters) {
        // TODO: any
        entrances.runningService.registerAdapter(adapter.type, adapter);
    }
    shared_1.logger.info('MakeScript agent started.');
}
exports.main = main;
//# sourceMappingURL=main.js.map