import { Dict } from 'tslang';
import { ScriptDefinition } from './script-definition';
export interface IAdapter<TDefinition extends ScriptDefinition, TOptions = AdapterRunScriptArgumentOptions> {
    readonly type: TDefinition['type'];
    runScript(argument: AdapterRunScriptArgument<TDefinition, TOptions>): Promise<AdapterRunScriptResult>;
}
export interface AdapterRunScriptArgument<TDefinition extends ScriptDefinition, TOptions = AdapterRunScriptArgumentOptions> {
    repoPath: string;
    cwd: string;
    env: Dict<unknown>;
    definition: TDefinition;
    resourcesPath: string;
    resourcesBaseURL: string;
    parameters: AdapterRunScriptArgumentParameters;
    options: TOptions;
    onOutput(output: string): void;
    onError(error: string): void;
}
export declare type AdapterRunScriptArgumentParameters = Dict<unknown>;
export declare type AdapterRunScriptArgumentOptions = Dict<unknown>;
export interface AdapterRunScriptResult {
    result: AdapterRunScriptResultType;
    message: string;
}
export declare type AdapterRunScriptResultType = 'done' | 'options-error' | 'parameters-error' | 'unknown-error';
